curl --request POST \
--url https://api.qa.sima.ag/api/v3/third_party/waypoints \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: */*' \
--header 'X-SIMA-SYSTEM-ID: <api-key>' \
--data '
"\"{\\n \\\"sample_number\\\": 12345,\\n \\\"accuracy\\\": 3.5,\\n \\\"waypoint_kind\\\": \\\"scouting\\\",\\n \\\"parent_id\\\": 1001,\\n \\\"parent_type\\\": \\\"plot\\\",\\n \\\"weed_id\\\": 25,\\n \\\"insect_id\\\": 12,\\n \\\"disease_id\\\": 8,\\n \\\"file_name\\\": \\\"waypoint_photo_001.jpg\\\",\\n \\\"firebase_storage_url\\\": \\\"https://firebasestorage.googleapis.com/v0/b/project/o/images%2Fwaypoint_001.jpg\\\",\\n \\\"observations\\\": \\\"Presencia de malezas en el sector norte del lote\\\",\\n \\\"lat\\\": -34.6037,\\n \\\"lon\\\": -58.3816,\\n \\\"ref_number\\\": \\\"WP-2024-001\\\"\\n}\""
'import requests
url = "https://api.qa.sima.ag/api/v3/third_party/waypoints"
payload = "\"{\n \\"sample_number\\": 12345,\n \\"accuracy\\": 3.5,\n \\"waypoint_kind\\": \\"scouting\\",\n \\"parent_id\\": 1001,\n \\"parent_type\\": \\"plot\\",\n \\"weed_id\\": 25,\n \\"insect_id\\": 12,\n \\"disease_id\\": 8,\n \\"file_name\\": \\"waypoint_photo_001.jpg\\",\n \\"firebase_storage_url\\": \\"https://firebasestorage.googleapis.com/v0/b/project/o/images%2Fwaypoint_001.jpg\\",\n \\"observations\\": \\"Presencia de malezas en el sector norte del lote\\",\n \\"lat\\": -34.6037,\n \\"lon\\": -58.3816,\n \\"ref_number\\": \\"WP-2024-001\\"\n}\""
headers = {
"Authorization": "Bearer <token>",
"X-SIMA-SYSTEM-ID": "<api-key>",
"Content-Type": "*/*"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'X-SIMA-SYSTEM-ID': '<api-key>',
'Content-Type': '*/*'
},
body: JSON.stringify('"{\n \"sample_number\": 12345,\n \"accuracy\": 3.5,\n \"waypoint_kind\": \"scouting\",\n \"parent_id\": 1001,\n \"parent_type\": \"plot\",\n \"weed_id\": 25,\n \"insect_id\": 12,\n \"disease_id\": 8,\n \"file_name\": \"waypoint_photo_001.jpg\",\n \"firebase_storage_url\": \"https://firebasestorage.googleapis.com/v0/b/project/o/images%2Fwaypoint_001.jpg\",\n \"observations\": \"Presencia de malezas en el sector norte del lote\",\n \"lat\": -34.6037,\n \"lon\": -58.3816,\n \"ref_number\": \"WP-2024-001\"\n}"')
};
fetch('https://api.qa.sima.ag/api/v3/third_party/waypoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qa.sima.ag/api/v3/third_party/waypoints",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode('"{\\n \\"sample_number\\": 12345,\\n \\"accuracy\\": 3.5,\\n \\"waypoint_kind\\": \\"scouting\\",\\n \\"parent_id\\": 1001,\\n \\"parent_type\\": \\"plot\\",\\n \\"weed_id\\": 25,\\n \\"insect_id\\": 12,\\n \\"disease_id\\": 8,\\n \\"file_name\\": \\"waypoint_photo_001.jpg\\",\\n \\"firebase_storage_url\\": \\"https://firebasestorage.googleapis.com/v0/b/project/o/images%2Fwaypoint_001.jpg\\",\\n \\"observations\\": \\"Presencia de malezas en el sector norte del lote\\",\\n \\"lat\\": -34.6037,\\n \\"lon\\": -58.3816,\\n \\"ref_number\\": \\"WP-2024-001\\"\\n}"'),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: */*",
"X-SIMA-SYSTEM-ID: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": 3601652,
"sample_number": 12345,
"accuracy": 3.5,
"waypoint_kind": "scouting",
"parent_id": 1001,
"parent_type": "plot",
"weed_id": null,
"insect_id": null,
"disease_id": null,
"file_name": "waypoint_photo_001.jpg",
"firebase_storage_url": "https://firebasestorage.googleapis.com/v0/b/project/o/images%2Fwaypoint_001.jpg",
"observations": "Presencia de malezas en el sector norte del lote",
"lat": -34.6037,
"lon": -58.3816,
"ref_number": "WP-2024-001",
"external_code": null,
"created_at": "2025-10-03T17:05:49-03:00",
"modified_at": "2025-10-03T17:05:49-03:00",
"deleted_at": null,
"active": true
}{
"error": {
"code": 400,
"message": "El parámetro file_name es un parámetro requerido.",
"exception": [
{
"file": "/var/www/html/src/Kodear/ApiBundle/Validations/ThirdParty/V3/Waypoint/WaypointValidation.php",
"line": 11,
"function": "validateRequiredParameter",
"class": "Kodear\\ApiBundle\\Validations\\BaseFilterValidation",
"type": "->",
"args": [
[
"sample_number",
"accuracy",
"waypoint_kind",
"parent_id",
"parent_type",
"weed_id",
"insect_id",
"disease_id",
"file_name",
"firebase_storage_url",
"observations",
"lat",
"lon",
"ref_number"
]
]
},
{
"file": "/var/www/html/src/Kodear/ApiBundle/Controller/v3/ThirdParty/WaypointController.php",
"line": 68,
"function": "validate",
"class": "Kodear\\ApiBundle\\Validations\\ThirdParty\\V3\\Waypoint\\WaypointValidation",
"type": "->",
"args": [
{
"sample_number": "int",
"accuracy": "float",
"waypoint_kind": "string_not_null",
"parent_id": "int",
"parent_type": "string_not_null",
"weed_id": "no_validation",
"insect_id": "no_validation",
"disease_id": "no_validation",
"file_name": "no_validation",
"firebase_storage_url": "no_validation",
"observations": "no_validation",
"lat": "no_validation",
"lon": "no_validation",
"ref_number": "no_validation"
}
]
},
{
"file": "/var/www/html/vendor/symfony/symfony/src/Symfony/Component/HttpKernel/HttpKernel.php",
"line": 151,
"function": "create",
"class": "Kodear\\ApiBundle\\Controller\\v3\\ThirdParty\\WaypointController",
"type": "->",
"args": [
{
"attributes": {},
"request": {},
"query": {},
"server": {},
"files": {},
"cookies": {},
"headers": {}
}
]
},
{
"file": "/var/www/html/vendor/symfony/symfony/src/Symfony/Component/HttpKernel/HttpKernel.php",
"line": 68,
"function": "handleRaw",
"class": "Symfony\\Component\\HttpKernel\\HttpKernel",
"type": "->",
"args": [
{
"attributes": {},
"request": {},
"query": {},
"server": {},
"files": {},
"cookies": {},
"headers": {}
},
1
]
},
{
"file": "/var/www/html/vendor/symfony/symfony/src/Symfony/Component/HttpKernel/Kernel.php",
"line": 200,
"function": "handle",
"class": "Symfony\\Component\\HttpKernel\\HttpKernel",
"type": "->",
"args": [
{
"attributes": {},
"request": {},
"query": {},
"server": {},
"files": {},
"cookies": {},
"headers": {}
},
1,
true
]
},
{
"file": "/var/www/html/web/app_dev.php",
"line": 15,
"function": "handle",
"class": "Symfony\\Component\\HttpKernel\\Kernel",
"type": "->",
"args": [
{
"attributes": {},
"request": {},
"query": {},
"server": {},
"files": {},
"cookies": {},
"headers": {}
}
]
}
]
}
}Create
Authorizations
access_token obtenido via POST /api/v2/login
Identificador del sistema integrador (8 para Third-Party API)
Body
The body is of type string.
"\"{\\n \\\"sample_number\\\": 12345,\\n \\\"accuracy\\\": 3.5,\\n \\\"waypoint_kind\\\": \\\"scouting\\\",\\n \\\"parent_id\\\": 1001,\\n \\\"parent_type\\\": \\\"plot\\\",\\n \\\"weed_id\\\": 25,\\n \\\"insect_id\\\": 12,\\n \\\"disease_id\\\": 8,\\n \\\"file_name\\\": \\\"waypoint_photo_001.jpg\\\",\\n \\\"firebase_storage_url\\\": \\\"https://firebasestorage.googleapis.com/v0/b/project/o/images%2Fwaypoint_001.jpg\\\",\\n \\\"observations\\\": \\\"Presencia de malezas en el sector norte del lote\\\",\\n \\\"lat\\\": -34.6037,\\n \\\"lon\\\": -58.3816,\\n \\\"ref_number\\\": \\\"WP-2024-001\\\"\\n}\""
Response
Created
The response is of type object.

